Package org.eclipse.m2m.atl.emftvm.util

## Class LazyCollection.WrappedListIterator

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator<E>
  - - org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyListIterator<E>
    - - org.eclipse.m2m.atl.emftvm.util.LazyCollection.WrappedListIterator

All Implemented Interfaces:
  `java.util.Iterator<E>`, `java.util.ListIterator<E>`

Direct Known Subclasses:
  `LazyList.AppendList.AppendListIterator`, `LazyList.InsertAtList.InsertAtListIterator`, `LazyList.PrependList.PrependListIterator`, `LazyList.UnionListIterator`, `LazyOrderedSet.AppendOrderedSet.AppendOrderedSetListIterator`, `LazyOrderedSet.ExcludingOrderedSet.ExcludingOrderedSetListIterator`, `LazyOrderedSet.InsertAtOrderedSet.InsertAtOrderedSetListIterator`, `LazyOrderedSet.PrependOrderedSet.PrependOrderedSetListIterator`

Enclosing class:
  LazyCollection<E>

    public abstract class LazyCollection.WrappedListIterator
    extends LazyCollection.ReadOnlyListIterator<E>

Abstract `LazyCollection.ReadOnlyListIterator` that wraps around the underlying collection. Assumes the underlying collection is a `List`.

### Field Summary

Fields
`protected java.util.ListIterator<E>` `inner`

### Constructor Summary

Constructors
`WrappedListIterator()` Creates a new `LazyCollection.WrappedListIterator`.
`WrappedListIterator​(int index)` Creates a new `LazyCollection.WrappedListIterator` starting at `index`.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasNext()`
`boolean` `hasPrevious()`
`E` `next()`
`int` `nextIndex()`
`E` `previous()`
`int` `previousIndex()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyListIterator

`add, set`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator

`remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Methods inherited from interface java.util.ListIterator

`remove`

### Field Detail

#### inner

    protected final java.util.ListIterator<E> inner

### Constructor Detail

#### WrappedListIterator

    public WrappedListIterator()

Creates a new `LazyCollection.WrappedListIterator`.

#### WrappedListIterator

    public WrappedListIterator​(int index)

Creates a new `LazyCollection.WrappedListIterator` starting at `index`.

Parameters:
  `index` - the iterator starting index of the underlying iterator.

### Method Detail

#### hasNext

    public boolean hasNext()

#### hasPrevious

    public boolean hasPrevious()

#### next

    public E next()

#### nextIndex

    public int nextIndex()

#### previous

    public E previous()

#### previousIndex

    public int previousIndex()